package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/sharemanage"
	jwt "go-admin/pkg/jwtauth"
)

// 需认证的路由代码
func registerShareManageAuthRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
}

// 无需认证的路由代码
func registerShareManageUnAuthRouter(v1 *gin.RouterGroup) {
	expressStatePush := v1.Group("/express")
	{
		expressStatePush.POST("/state_push", sharemanage.ExpressStatePush) // 物流状态推送
	}

	shareCard := v1.Group("/share_card")
	{
		shareCard.POST("/bill/list", sharemanage.ShareBillList)                // 共享单列表
		shareCard.POST("/bill/info", sharemanage.ShareBillInfo)                // 共享单详情
		shareCard.POST("/bill/check", sharemanage.ShareBillCheck)              // 共享单审核
		shareCard.POST("/bill/card_storage", sharemanage.ShareBillCardStorage) // 共享卡入库
		shareCard.POST("/user_card", sharemanage.UserShareCardList)            // 用户共享卡
		shareCard.POST("/user_card_vm", sharemanage.UserShareCardVmList)       // 用户共享卡积分
		shareCard.POST("/game_vm", sharemanage.ShareCardGameVmList)            // 共享卡游戏积分
		shareCard.POST("/user_vm", sharemanage.ShareCardUserVmList)            // 共享卡用户积分

		shareCard.POST("/retrieve_card/list", sharemanage.ShareCardRetrieveList)           // 共享卡用户收回卡
		shareCard.POST("/retrieve_card/info", sharemanage.ShareCardRetrieveCardInfo)       // 共享卡用户收回卡详情
		shareCard.POST("/retrieve_card/audit", sharemanage.ShareCardRetrieveCardAudit)     // 共享卡用户收回审核
		shareCard.POST("/retrieve_card/deliver", sharemanage.ShareCardRetrieveCardDeliver) // 共享卡用户收回发货

		shareCard.POST("/card_issue/list", sharemanage.CardIssueList)                           // 共享卡用户问题反馈
		shareCard.POST("/card_issue/info", sharemanage.CardIssueFeedbackInfo)                   // 共享卡用户问题反馈详情
		shareCard.POST("/card_issue/check", sharemanage.CardIssueCheck)                         // 共享卡用户问题卡检测
		shareCard.POST("/card_issue/deliver", sharemanage.CardIssueDeliver)                     // 共享卡用户问题卡发货
		shareCard.POST("/function_unusual_card/list", sharemanage.IssueCardFunctionUnusualList) // 功能异常卡列表
	}

}
